List optimization suggestions
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/optimization-suggestions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/optimization-suggestions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/optimization-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"suggestions": [
{
"suggestionId": "<string>",
"campaignId": "<string>",
"mediaBuyId": "<string>",
"optimizationMetric": "<string>",
"status": "<string>",
"productAdjustmentCount": 123,
"bidAdjustmentCount": 123,
"createdAt": "<string>",
"statusUpdatedAt": "<string>"
}
],
"totalCount": 123,
"hasMore": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Optimization Suggestions
List optimization suggestions
List optimization suggestions for the caller, optionally filtered by status, campaign, or advertiser.
GET
/
optimization-suggestions
List optimization suggestions
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/optimization-suggestions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/optimization-suggestions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/optimization-suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"suggestions": [
{
"suggestionId": "<string>",
"campaignId": "<string>",
"mediaBuyId": "<string>",
"optimizationMetric": "<string>",
"status": "<string>",
"productAdjustmentCount": 123,
"bidAdjustmentCount": 123,
"createdAt": "<string>",
"statusUpdatedAt": "<string>"
}
],
"totalCount": 123,
"hasMore": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Required range:
0 < x <= 9007199254740991Required range:
0 < x <= 9007199254740991Available options:
CREATED, CREATED_FAILED, INGESTED, INGESTED_FAIL, HIL_WAITING, HIL_APPROVED, HIL_REJECTED, APPLIED, APPLIED_FAIL, REJECTED, EXPIRED Required range:
1 <= x <= 100Required range:
0 <= x <= 9007199254740991